%define PRELUDE_GROUP prelude
Name:		prelude-lml-rules
Epoch:		1
Version:	3.1.0
Release:	1%{?dist}
Summary:	Prelude LML community ruleset
Group:		System Environment/Daemons
License:	GPLv2+
URL:		https://www.prelude-siem.org/
Source0:	%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	prelude-lml >= 1:3.1.0
Requires:	prelude-lml < 1:3.2.0

%description
Rules for Prelude LML contributed by the community.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/prelude-lml/ruleset
mkdir -p %{buildroot}/%{_bindir}
cp -R $RPM_BUILD_DIR/%{name}-%{version}/ruleset/* %{buildroot}/%{_sysconfdir}/prelude-lml/ruleset/
cp $RPM_BUILD_DIR/%{name}-%{version}/src/%{name}* %{buildroot}/%{_bindir}

%clean
rm -rf %{buildroot}

%pre
getent passwd prelude-lml >/dev/null || \
/usr/sbin/useradd -M -N -r -d / -s /sbin/nologin \
        -c "prelude-lml" prelude-lml > /dev/null 2>&1 || :
/usr/sbin/usermod -g %{PRELUDE_GROUP} prelude-lml > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS
%config(noreplace) %attr(0660,prelude-lml,prelude) %{_sysconfdir}/prelude-lml/ruleset/*
%attr(775,root,root) %{_bindir}/*


%changelog
* Wed Sep 14 2016 Thomas Andrejak <thomas.andrejak@c-s.fr> - 3.1.0-1
- New upstream release

* Thu Sep 01 2016 Antoine Luong <antoine.luong@c-s.fr> - 3.1.0rc3-1
- New upstream release

* Fri Aug 19 2016 Antoine Luong <antoine.luong@c-s.fr> - 3.1.0rc2-1
- New upstream release

* Sun Aug 07 2016 Thomas Andrejak <thomas.andrejak@c-s.fr> - 3.1.0rc1-1
- New upstream release

* Sun Apr 24 2016 Thomas Andrejak <thomas.andrejak@c-s.fr> - 3.0.1-1
- New upstream release

* Thu Apr 21 2016 Antoine Luong <antoine.luong@c-s.fr> - 3.0.0-1
- New upstream release

* Fri Apr 15 2016 Antoine Luong <antoine.luong@c-s.fr> - 3.0.0rc4-1
- New upstream release

* Fri Apr 08 2016 Antoine Luong <antoine.luong@c-s.fr> - 1.3.0rc3-1
- New upstream release

* Fri Apr 01 2016 Antoine Luong <antoine.luong@c-s.fr> - 1.3.0rc2-1
- New upstream release

* Fri Mar 25 2016 Antoine Luong <antoine.luong@c-s.fr> - 1.3.0rc1-1
- New upstream release

* Fri Mar 18 2016 Song Tran <song.tran@c-s.fr> - 1.3.0beta2-1
- New upstream release
- Mask the messages of usermod command
- Force required prelude-lml version
- Add prelude-lml user

* Fri Feb 26 2016 Antoine Luong <antoine.luong@c-s.fr> - 1.3.0beta1-1
- New upstream release

* Tue Jan 12 2016 Antoine Luong <antoine.luong@c-s.fr> - 1.3.0alpha1-1
- New upstream release

* Wed Jul 22 2015 Antoine Luong <antoine.luong@c-s.fr> - 1:1.2.6-1
- New upstream release

* Wed Sep 18 2013 Jean-Charles ROGEZ <jean-charles.rogez@c-s.fr> - 1:1.0.0-1
- Initial package
